#pragma once


namespace BCOM=Bentley::Interop::MicroStationDGN;
namespace BM=Bentley::MicroStation;
namespace [!output SAFE_PROJECT_NAME]
    {
public ref class [!output SAFE_PROJECT_NAME]LocateCmd:public BCOM::ILocateCommandEvents
    {
    public:
        [!output SAFE_PROJECT_NAME]LocateCmd(BM::AddIn ^pAddIn);
        void Accept(BCOM::Element ^pElement,BCOM::Point3d %pPoint, BCOM::View ^pView);
        void LocateFailed (void);
        void LocateFilter (BCOM::Element ^pElement,BCOM::Point3d   %pPoint, bool %accept);
        void LocateReset (void);
        void Cleanup (void);
        void Start (void);
        void Dynamics (BCOM::Point3d %pPoint, BCOM::View ^pView,BCOM::MsdDrawingMode drawMode);
        static void StartLocateCommand (BM::AddIn ^pAddIn);
    public:
        ~[!output SAFE_PROJECT_NAME]LocateCmd(void);
    };
    }