#pragma once
/*--------------------------------------------------------------------------------------+
|
|     $Source: [!output SAFE_PROJECT_NAME]PrimitiveCmd.h,v $
|    $RCSfile: [!output SAFE_PROJECT_NAME]PrimitiveCmd.h,v $
|   $Revision: 1.0 $
|       $Date: 2005/07/01 19:01:40 $
|     $Author:  $
|
|  $Copyright: (c) 2005 Bentley Systems, Incorporated. All rights reserved. $
|
+--------------------------------------------------------------------------------------*/

namespace [!output SAFE_PROJECT_NAME]
    {
    ref class [!output SAFE_PROJECT_NAME]PlacementCmd:public Bentley::Interop::MicroStationDGN::IPrimitiveCommandEvents
    {
   
    public:
        Bentley::Interop::MicroStationDGN::Application ^m_pApp;

        [!output SAFE_PROJECT_NAME]PlacementCmd(Bentley::MicroStation::AddIn ^pAddIn);

        void DataPoint (Bentley::Interop::MicroStationDGN::Point3d %pPoint,Bentley::Interop::MicroStationDGN::View ^pView);
        void Reset  ();
        void Start ();
        void Stop ();
        void Cleanup();
        void Keyin (System::String *unparsedP);
        void Dynamics (Bentley::Interop::MicroStationDGN::Point3d %pPoint,Bentley::Interop::MicroStationDGN::View ^pView,Bentley::Interop::MicroStationDGN::MsdDrawingMode drawMode);
        static void StartPrimitiveCommand(Bentley::MicroStation::AddIn ^pAddIn);
    public:
        ~[!output SAFE_PROJECT_NAME]PlacementCmd(void);
    private :
    };
    }
